Subject: Re: bug#46482: [core-updates] u-boot source cannot be downloaded

From: Bengt Richter <[email-masked]>
Date: Sat, 13 Feb 2021 19:34:09 +0100

Hi,

On +2021-02-13 03:37:52 +0100, Danny Milosavljevic wrote:
> failed to download "/gnu/store/1idpm6f9pcm9dajm90qgk6x1r6qywfv8-u-boot-2021.01.tar.bz2" from "ftp://ftp.denx.de/pub/u-boot/u-boot-2021.01.tar.bz2"
> builder for `/gnu/store/5s92y4l66f8qh4p4gx79jvsjaxhl208k-u-boot-2021.01.tar.bz2.drv' failed to produce output path `/gnu/store/1idpm6f9pcm9dajm90qgk6x1r6qywfv8-u-boot-2021.01.tar.bz2'
> build of /gnu/store/5s92y4l66f8qh4p4gx79jvsjaxhl208k-u-boot-2021.01.tar.bz2.drv failed
> View build log at '/var/log/guix/drvs/5s/92y4l66f8qh4p4gx79jvsjaxhl208k-u-boot-2021.01.tar.bz2.drv.bz2'.
> cannot build derivation `/gnu/store/m09apasn4glhf2lvsq8bn2ci5ncjq0fz-u-boot-tools-2021.01.drv': 1 dependencies couldn't be built
> building /gnu/store/5s4pczxlp3v8yfavmgjf93093msfaxym-ucommon-7.0.0.tar.gz.drv...
> 
> Changing the URL to "https" instead of "ftp" would work.
> Changing it to "http" instead of "ftp" would also work.
> Which should we use?
> 
> Reason is bug #46481.
> 
> But do we maybe want to change over to http or https anyway?

So long as you can check the hash of the downloaded file,
IMO other considerations ought to dominate the choice.

I would prefer something that fits in with mes-philosopy.
ftp seems old and simple, so I would vote for push-back
to fix the ftp client involved.

FWIW:
I clicked on the
    "ftp://ftp.denx.de/pub/u-boot/u-boot-2021.01.tar.bz2"
URL in your "failed to download" message above, and got an open/save-as popup choice widget,
and clicked save-as and successfully downloaded it, and can inspect it with
    tar -tjvf u-boot-2021.01.tar.bz2|less

I am running pureos (debian variant):
--8<---------------cut here---------------start------------->8---
4.19.0-14-amd64 #1 SMP Debian 4.19.171-2 (2021-01-30)
--8<---------------cut here---------------end--------------->8---

and was in a tilix terminal when I clicked the URL, which started 
    Mozilla Firefox 78.7.0esr
which gave me the open/save-as popup choice.

IDK what firefox does with ftp://...
but it worked. I guess I could strace it, but what does firefox or icecat do on your box
if directed to 
    ftp://ftp.denx.de/pub/u-boot/u-boot-2021.01.tar.bz2
?
HTH
-- 
Regards,
Bengt Richter